
-- сигнал control_y формируется управляющим автоматом для управления операционным автоматом
-- в разделе деклараций пакета содержится декларация типа управляющего сигнала control_y
-- и декларация типа для констант
-- тип control_y декларируется как перечислимый тип. Он определяет массив из 9 бит
-- полная декларация констант содержится в теле пакета

package mk_pack is -- декларация пакета
type control_y is array (8 downto 0)of bit;

constant nmk,mk1,mk2,mk3,mk4: control_y;

end package mk_pack;-- окончание пакета

package body mk_pack is

constant nmk:control_y:="000000000";
constant mk1:control_y:="000001111";
constant mk2:control_y:="000010000";
constant mk3:control_y:="000100000";
constant mk4:control_y:="111000000";

end mk_pack;
